Bug 1767234 (rr_volatility3) - Review Request: python-volatility3 - Volatility 3: The volatile memory extraction framework
Summary: Review Request: python-volatility3 - Volatility 3: The volatile memory extrac...
Keywords:
Status: CLOSED WONTFIX
Alias: rr_volatility3
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal py2_removal_volatility 1775092
TreeView+ depends on / blocked
 
Reported: 2019-10-30 23:46 UTC by Michal Ambroz
Modified: 2020-04-12 22:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-03 20:02:21 UTC
Type: ---
mhroncok: fedora-review-


Attachments (Terms of Use)

Description Michal Ambroz 2019-10-30 23:46:41 UTC
Spec URL: https://rebus.fedorapeople.org/SPECS/python-volatility3.spec
SRPM URL: https://rebus.fedorapeople.org/SRPMS/python-volatility3-1.0.0-0.1.beta.1.fc30.src.rpm
Description: 
Volatility is the world’s most widely used framework for extracting digital                                                                                                                                                                   
artifacts from volatile memory (RAM) samples. The extraction techniques are                                                                                                                                                                   
performed completely independent of the system being investigated but offer                                                                                                                                                                   
visibility into the runtime state of the system. The framework is intended                                                                                                                                                                    
to introduce people to the techniques and complexities associated with                                                                                                                                                                        
extracting digital artifacts from volatile memory samples and provide a                                                                                                                                                                       
platform for further work into this exciting area of research.                                                                                                                                                                                
                                                                                                                                                                                                                                              
In 2019, the Volatility Foundation released a complete rewrite of the                                                                                                                                                                         
framework, Volatility 3. The project was intended to address many of the                                                                                                                                                                      
technical and performance challenges associated with the original                                                                                                                                                                             
code base that became apparent over the previous 10 years. Another benefit                                                                                                                                                                    
of the rewrite is that Volatility 3 could be released under a custom                                                                                                                                                                          
license that was more aligned with the goals of the Volatility community,                                                                                                                                                                     
the Volatility Software License (VSL).


Fedora Account System Username: rebus

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=38671492

Request to approve the new license: https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/OHECHDPLDJ7LLFUZXQMBBAXEXYTQMXOR/


Kudos to Miro Hroncok for preparing the spec file.

Comment 1 Michal Ambroz 2019-10-30 23:58:12 UTC
This package is meant to be packaged for side-by-side install with python2-volatility and is meant to replace it in F32+.
See:
https://bugzilla.redhat.com/show_bug.cgi?id=1738194
https://pagure.io/fesco/issue/2247

Comment 2 Miro Hrončok 2019-10-31 00:12:27 UTC
Setting FE-Legal blocker for the license clarification.

Comment 3 Tom "spot" Callaway 2019-10-31 15:56:23 UTC
Haven't forgotten about this license. It's gonna need some thought from the lawyers.

Comment 4 Miro Hrončok 2019-10-31 16:34:21 UTC
Thanks Tom!

Comment 5 Robert-André Mauchin 2019-12-10 19:21:18 UTC
 - Please do not repeat the name of the library in the Summary

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[?]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 204 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/python-
     volatility3/review-python-volatility3/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-volatility3-1.0.0-0.1.beta.1.fc32.noarch.rpm
          python-volatility3-1.0.0-0.1.beta.1.fc32.src.rpm
python3-volatility3.noarch: W: invalid-license XXX Volatility
python3-volatility3.noarch: W: obsolete-not-provided python2-volatility
python3-volatility3.noarch: W: no-manual-page-for-binary vol
python3-volatility3.noarch: W: no-manual-page-for-binary vol3
python3-volatility3.noarch: W: no-manual-page-for-binary volatility
python3-volatility3.noarch: W: no-manual-page-for-binary volatility3
python3-volatility3.noarch: W: no-manual-page-for-binary volshell
python3-volatility3.noarch: W: no-manual-page-for-binary volshell3
python-volatility3.src: W: invalid-license XXX Volatility
2 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 6 Miro Hrončok 2020-03-03 20:02:21 UTC
Sorry, this package is not legally acceptable in Fedora, see:

https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/OHECHDPLDJ7LLFUZXQMBBAXEXYTQMXOR/


I suggest contacting upstream and asking them nicely whether they are Ok to ship a under the terms of BSD 2-Clause Plus Patent License.


Note You need to log in before you can comment on or make changes to this bug.